<?php
error_reporting(0);
if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) ob_start("ob_gzhandler"); else ob_start();
session_start();
session_cache_limiter('private');
$cache_limiter 	= session_cache_limiter();
session_cache_expire(60);
$cache_expire 	= session_cache_expire(); 
date_default_timezone_set('Asia/Manila'); 
$CURRENT_DATE 	= date('Y-m-d H:i:s');
include_once('../config/minho.php');
include_once('../config/autoloadClass.php');
$autoload	=	new autoloadClass();
$mecon		=	new condbClass();
$utility	=	new utilityClass(); 
if(isset($_POST['current_broker']) && isset($_POST['agent_agent'])){
$agent		= isset($_POST['agent_agent'])	? str_replace('_',' ',htmlentities(addslashes(strip_tags(trim($_POST['agent_agent']))))) : "";  
$broker		= isset($_POST['current_broker'])	? str_replace('_',' ',htmlentities(addslashes(strip_tags(trim($_POST['current_broker']))))) : "";  
$contact	= isset($_POST['agent_contact'])	? htmlentities(addslashes(strip_tags(trim($_POST['agent_contact'])))) : ""; 
$email		= isset($_POST['agent_email'])		? htmlentities(addslashes(strip_tags(trim($_POST['agent_email'])))) : ""; 
$address	= isset($_POST['agent_address'])	? htmlentities(addslashes(strip_tags(trim($_POST['agent_address'])))) : "";   
$agent_pr	= isset($_POST['agent_pr'])	? htmlentities(addslashes(strip_tags(trim($_POST['agent_pr'])))) : "";   
$task		= isset($_POST['action'])		? trim($_POST['action']) : "";
$mainid		= isset($_POST['mainid'])		? trim($_POST['mainid']) : "";

$currentUser 	= $_SESSION['castalia_username'];
$timeStamp		= date('Y-m-d H:i:s');

$mainArr	= array(); 
 
$output 	= "";
$mainArr['Agent']				=	$agent;
$mainArr['Broker']				=	$broker;
$mainArr['ContactNo']			=	$contact;
$mainArr['EmailAddress']		=	$email;
$mainArr['Address']				=	$address; 
$mainArr['AgentPRCNo']			=	$agent_pr;
 
$condArr = array();
if($task=="create"):
	$mainArr['Id']				= $mecon->getNextId("Id","agent");
	$brokerId					= $mecon->getNextId("Id","agent"); 
	$mainArr['CreatedDate'] 	= $timeStamp;
	$mainArr['CreatedBy'] 		= $currentUser;
	$output						= $mecon->insertSingleQuery($mainArr,"agent");
	
			//LOG TASK 
			$actArr['UserType']			= "documentation_staff,documentation_supervisor";
			$actArr['Remarks']			= "Created New Agent : $agent";
			$actArr['Action']			= "create";
			$actArr['ActionType']		= "agent";
			$actArr['ActionContent']	= json_encode($mainArr);
			$actArr['ActionBy'] 		= $currentUser;	
			$actArr['ActionDate']		= $timeStamp;
			$actArr['TransId']			= $brokerId;
			$utility->encodeActivityLog($actArr);
	
elseif($task=="edit"):
	$mainArr['UpdatedDate'] 		= $timeStamp;
	$mainArr['UpdatedBy'] 			= $currentUser;
	$condArr['Id']					= $mainid;
	$output 						= $mecon->updateQuery($mainArr,"agent",$condArr); 
	
			//LOG TASK 
			$actArr['UserType']			= "documentation_staff,documentation_supervisor";
			$actArr['Remarks']			= "Updated Agent : $agent";
			$actArr['Action']			= "edit";
			$actArr['ActionType']		= "agent";
			$actArr['ActionContent']	= json_encode($mainArr);
			$actArr['ActionBy'] 		= $currentUser;	
			$actArr['ActionDate']		= $timeStamp;
			$actArr['TransId']			= $mainid;
			$utility->encodeActivityLog($actArr);
	
endif;

$resultArr 						= array();
$resultArr['output']	  		= $output;
echo json_encode($resultArr);
}
exit();
ob_end_flush();